
function doSizeWork($languageName, $start, $offset) {

    $selectedType = $("#styleDropDown").val();
    $selectedShape = $("#typeDropDown").val();
    $dimA = $("#dimAtext").val();
    $dimB = $("#dimBtext").val();
    $dimC = $("#dimCtext").val();
    $dimD = $("#dimDtext").val();
    $dimE = $("#dimEtext").val();
    $dimF = $("#dimFtext").val();
    $dimG = $("#dimGtext").val();
    $dimH = $("#dimHtext").val();
    $dimAdiff = $("#dimAselect").val();
    $dimBdiff = $("#dimBselect").val();
    $dimCdiff = $("#dimCselect").val();
    $dimDdiff = $("#dimDselect").val();
    $dimEdiff = $("#dimEelect").val();
    $dimFdiff = $("#dimFselect").val();
    $dimGdiff = $("#dimGselect").val();
    $dimHdiff = $("#dimHselect").val();
    doSizeAjax($dimA, $dimB, $dimC, $dimD, $dimE, $dimF, $dimG, $dimH,
    $dimAdiff, $dimBdiff, $dimCdiff, $dimDdiff, $dimEdiff, $dimFdiff, $dimGdiff, $dimHdiff, $selectedType, $selectedShape, $languageName, $start, $offset);
}

function doSizeAjax(dimA, dimB, dimC, dimD, dimE, dimF, dimG, dimH,
dimAdiff, dimBdiff, dimCdiff, dimDdiff, dimEdiff, dimFdiff, dimGdiff, dimHdiff, selectedType, selectedShape, languageName, start, offset) {
    for (var i = 0; i < arguments.length; i++) {
        if (arguments[i] == '') {
            arguments[i] = 0;
        }
    }
    /*httpObject = getHTTPObject();
    if (httpObject != null) {
    var url = "/Ajax/SizeApplDetailAjax?dimA="
    + dimA + "&dimB=" + dimB + "&dimC=" + dimC + "&dimD=" + dimD + "&dimE="
    + dimE + "&dimF=" + dimF + "&dimG=" + dimG + "&dimH=" + dimH
    + "&dimAdiff=" + dimAdiff + "&dimBdiff=" + dimBdiff + "&dimCdiff=" + dimCdiff
    + "&dimDdiff=" + dimDdiff + "&dimEdiff=" + dimEdiff + "&dimFdiff=" + dimFdiff
    + "&dimGdiff=" + dimGdiff + "&dimHdiff=" + dimHdiff + "&selectedType=" + selectedType + "&selectedShape=" + selectedShape + "&languageName=" + languageName;
    httpObject.open("GET", url, true);
    httpObject.onreadystatechange = function() {
    if (httpObject.readyState == (1 || 0)) {
    jQuery("#ajaxStatementInfo").show();
    jQuery("#ajaxStatementInfo").html("<img src=\"../../../Content/images/ajax-loader.gif\" alt=\"loading\">");
    }
    if (httpObject.readyState == 4) {
    jQuery("#ajaxStatementInfo").hide();
    var response = httpObject.responseText;
    if (response == 'No filters.') {
    jQuery("#ajaxStatementInfo").html(getTranslation("sizesNoFilters", languageName)).show();
    } else {
    jQuery("#searchLeftSide").html(response).fadeIn('fast');
    }
    } //if state
    }  //func
    httpObject.send(null);
    } //if */
    $("#ajaxStatementInfo").show();
    $("#ajaxStatementInfo").html("<img src=\"../Content/img/ajax-loader.gif\" alt=\"loading\">");


    $.ajax({
        url: "/Ajax/SizeApplDetailAjax?dimA="
    + dimA + "&dimB=" + dimB + "&dimC=" + dimC + "&dimD=" + dimD + "&dimE="
    + dimE + "&dimF=" + dimF + "&dimG=" + dimG + "&dimH=" + dimH
    + "&dimAdiff=" + dimAdiff + "&dimBdiff=" + dimBdiff + "&dimCdiff=" + dimCdiff
    + "&dimDdiff=" + dimDdiff + "&dimEdiff=" + dimEdiff + "&dimFdiff=" + dimFdiff
    + "&dimGdiff=" + dimGdiff + "&dimHdiff=" + dimHdiff + "&selectedType=" + selectedType + "&selectedShape=" + selectedShape + "&languageName=" + languageName + "&start" + start + "&offset" + offset,
        data: {
            dimA: dimA,
            dimB: dimB,
            dimC: dimC,
            dimD: dimD,
            dimE: dimE,
            dimF: dimF,
            dimG: dimG,
            dimH: dimH,
            dimAdiff: dimAdiff,
            dimBdiff: dimBdiff,
            dimCdiff: dimCdiff,
            dimDdiff: dimDdiff,
            dimEdiff: dimEdiff,
            dimFdiff: dimFdiff,
            dimGdiff: dimGdiff,
            dimHdiff: dimHdiff,
            selectedType: selectedType,
            selectedShape: selectedShape,
            languageName: languageName,
            start: start,
            offset: offset,
            flag: 1
        },
        type: "GET",
        // dataType: 'json',
        success: function(response) {
            $("#ajaxStatementInfo").hide();
            if (response == 'No filters.') {
                $("#ajaxStatementInfo").html(getTranslation("sizesNoFilters", languageName)).show();
            } else {
                if (start > 0) {
                    $('#searchLeftSide .inn').append(response).fadeIn('fast');
                }
                else {
                    $("#searchLeftSide").html(response).fadeIn('fast');
                }

                $('.c6p').removeClass('c6p').addClass('col-xs-6 no-padding');
                $('.c10p').removeClass('c10p').addClass('col-xs-10 no-padding');
                $('.oebb').removeClass('oebb').addClass('overlay-engine-boder-b');
                $('.oe').removeClass('oe').addClass('overlay-engine');
                $('.c12p').removeClass('c12p').addClass('col-xs-12 no-padding');
                $('.oer').removeClass('oer').addClass('overlay-engine-boder-r');
            }
        }
    });
}
 function makeFilterActive(sender, languageName, isHdTruck) {
    var filterId = $(sender).attr('id');
    doFilterSingleWork('sizesRightSide', filterId, languageName, isHdTruck);
}
